/* Tabela OPERADOR: Item do Lanamento de Estoque */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na
tabela OPERADOR */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela OPERADOR utilizando
a tabela Geral de Logs de Operaes */

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_GER_OPERADOR' AND
                 TYPE = 'TR' 		                AND
	              U.UID = O.UID                   AND
	              U.NAME = USER)
DROP TRIGGER LOG_GER_OPERADOR
GO

CREATE TRIGGER LOG_GER_OPERADOR
ON OPERADOR
FOR INSERT, UPDATE, DELETE
AS
   
   DECLARE  @V_USUARIO          VARCHAR(40);
   DECLARE  @V_TIPO             VARCHAR(1);
   DECLARE  @V_ITPESQ           VARCHAR(40);
   DECLARE  @V_DESC             VARCHAR(2000);
   DECLARE  @V_DTOPER           DATETIME;
   DECLARE  @V_DSREMOTEADDR     VARCHAR(15);
   DECLARE  @V_DSREMOTEHOST     VARCHAR(15);
   DECLARE  @V_DSSERVERRDM      VARCHAR(20);
   DECLARE  @V_DSSERVMETHOD     VARCHAR(30);
   DECLARE  @V_DSREMOTEOPER     VARCHAR(12);


/*VARIVEIS DO CURSOR C_CURSOR*/

   DECLARE  @V_ID_COMANDO        VARCHAR(1);
   DECLARE  @V_OLD_CDOPERADOR    VARCHAR (12);
   DECLARE  @V_OLD_NMOPERADOR    VARCHAR(40);
   DECLARE  @V_OLD_NMCOMPLOPER   VARCHAR(40);
   DECLARE  @V_OLD_CDCARGO       VARCHAR(4);
   DECLARE  @V_OLD_CDFUNC        VARCHAR(10);
   DECLARE  @V_OLD_DTNASCIMENTO  DATETIME;
   DECLARE  @V_OLD_IDSENHVARDIA  VARCHAR(1);
   DECLARE  @V_OLD_NMACESSO      VARCHAR(30);
   DECLARE  @V_OLD_IDOPERATIVO   VARCHAR(1);
   DECLARE  @V_OLD_DSENDEOPER    VARCHAR(50);
   DECLARE  @V_OLD_NMBAIROPER    VARCHAR(30);
   DECLARE  @V_OLD_CDPAIS        VARCHAR(4);
   DECLARE  @V_OLD_CDMUNICIPIO   VARCHAR(4);
   DECLARE  @V_OLD_NRTELEOPER    VARCHAR(25);
   DECLARE  @V_OLD_DSEMAILOPER   VARCHAR(50);
   DECLARE  @V_OLD_SGESTADO      VARCHAR(2);
   DECLARE  @V_OLD_NRCEPOPER     VARCHAR(15);
   DECLARE  @V_OLD_CDSENEMAILOP  VARCHAR(20);
   DECLARE  @V_OLD_IDSTATUSENHA  VARCHAR(1);
   DECLARE  @V_OLD_CDOPERESPLIBSEN VARCHAR(12);

   DECLARE  @V_NEW_CDOPERADOR    VARCHAR (12);
   DECLARE  @V_NEW_NMOPERADOR    VARCHAR(40);
   DECLARE  @V_NEW_NMCOMPLOPER   VARCHAR(40);
   DECLARE  @V_NEW_CDCARGO       VARCHAR(4);
   DECLARE  @V_NEW_CDFUNC        VARCHAR(10);
   DECLARE  @V_NEW_DTNASCIMENTO  DATETIME;
   DECLARE  @V_NEW_IDSENHVARDIA  VARCHAR(1);
   DECLARE  @V_NEW_NMACESSO      VARCHAR(30);
   DECLARE  @V_NEW_IDOPERATIVO   VARCHAR(1);
   DECLARE  @V_NEW_DSENDEOPER    VARCHAR(50);
   DECLARE  @V_NEW_NMBAIROPER    VARCHAR(30);
   DECLARE  @V_NEW_CDPAIS        VARCHAR(4);
   DECLARE  @V_NEW_CDMUNICIPIO   VARCHAR(4);
   DECLARE  @V_NEW_NRTELEOPER    VARCHAR(25);
   DECLARE  @V_NEW_DSEMAILOPER   VARCHAR(50);
   DECLARE  @V_NEW_SGESTADO      VARCHAR(2);
   DECLARE  @V_NEW_NRCEPOPER     VARCHAR(15);
   DECLARE  @V_NEW_CDSENEMAILOP  VARCHAR(20);
   DECLARE  @V_NEW_CDOPERESPLIBSEN VARCHAR(12);
   DECLARE  @V_NEW_IDSTATUSENHA VARCHAR(1);

BEGIN

	/*SET @TESTE = '';*/

   SET @V_TIPO = '0';
   SET @V_DESC = ' ';


   EXEC NMUSUARIO @V_USUARIO;
   EXEC WEBTUNNING @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVERRDM,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER;
  
   SET @V_USUARIO = ISNULL(@V_USUARIO, '');

   DECLARE C_CURSOR CURSOR FOR
   SELECT
     'D' IDCOMANDO,
         CDOPERADOR,
         NMOPERADOR,
         NMCOMPLOPER,
         CDCARGO,
         CDFUNC,
         DTNASCIMENTO,
         IDSENHVARDIA,
         NMACESSO,
         IDOPERATIVO,
         DSENDEOPER,
         NMBAIROPER,
         CDPAIS,
         CDMUNICIPIO,
         NRTELEOPER,
         DSEMAILOPER,
         SGESTADO,
         NRCEPOPER,
         CDSENEMAILOP,
         CDOPERESPLIBSEN,
         IDSTATUSENHA,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
   FROM
     DELETED
   WHERE
     CDOPERADOR NOT IN (SELECT CDOPERADOR FROM INSERTED)
   UNION ALL

   SELECT
     'U' IDCOMANDO,
         DELETED.CDOPERADOR,
         DELETED.NMOPERADOR,
         DELETED.NMCOMPLOPER,
         DELETED.CDCARGO,
         DELETED.CDFUNC,
         DELETED.DTNASCIMENTO,
         DELETED.IDSENHVARDIA,
         DELETED.NMACESSO,
         DELETED.IDOPERATIVO,
         DELETED.DSENDEOPER,
         DELETED.NMBAIROPER,
         DELETED.CDPAIS,
         DELETED.CDMUNICIPIO,
         DELETED.NRTELEOPER,
         DELETED.DSEMAILOPER,
         DELETED.SGESTADO,
         DELETED.NRCEPOPER,
         DELETED.CDSENEMAILOP,
         DELETED.CDOPERESPLIBSEN,
         DELETED.IDSTATUSENHA,

         INSERTED.CDOPERADOR,
         INSERTED.NMOPERADOR,
         INSERTED.NMCOMPLOPER,
         INSERTED.CDCARGO,
         INSERTED.CDFUNC,
         INSERTED.DTNASCIMENTO,
         INSERTED.IDSENHVARDIA,
         INSERTED.NMACESSO,
         INSERTED.IDOPERATIVO,
         INSERTED.DSENDEOPER,
         INSERTED.NMBAIROPER,
         INSERTED.CDPAIS,
         INSERTED.CDMUNICIPIO,
         INSERTED.NRTELEOPER,
         INSERTED.DSEMAILOPER,
         INSERTED.SGESTADO,
         INSERTED.NRCEPOPER,
         INSERTED.CDSENEMAILOP,
         INSERTED.CDOPERESPLIBSEN,
         INSERTED.IDSTATUSENHA
   FROM
       DELETED,
       INSERTED
   WHERE
       INSERTED.CDOPERADOR = DELETED.CDOPERADOR

   UNION ALL

   SELECT
      'I'IDCOMANDO,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         CDOPERESPLIBSEN,
         CDOPERADOR,
         NMOPERADOR,
         NMCOMPLOPER,
         CDCARGO,
         CDFUNC,
         DTNASCIMENTO,
         IDSENHVARDIA,
         NMACESSO,
         IDOPERATIVO,
         DSENDEOPER,
         NMBAIROPER,
         CDPAIS,
         CDMUNICIPIO,
         NRTELEOPER,
         DSEMAILOPER,
         SGESTADO,
         NRCEPOPER,
         CDSENEMAILOP,
         CDOPERESPLIBSEN,
         IDSTATUSENHA
    FROM
       INSERTED
    WHERE
       CDOPERADOR NOT IN (SELECT CDOPERADOR FROM DELETED);

    OPEN C_CURSOR;
    FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                  @V_OLD_CDOPERADOR,
                                  @V_OLD_NMOPERADOR,
                                  @V_OLD_NMCOMPLOPER,
                                  @V_OLD_CDCARGO,
                                  @V_OLD_CDFUNC,
                                  @V_OLD_DTNASCIMENTO,
                                  @V_OLD_IDSENHVARDIA,
                                  @V_OLD_NMACESSO,
                                  @V_OLD_IDOPERATIVO,
                                  @V_OLD_DSENDEOPER,
                                  @V_OLD_NMBAIROPER,
                                  @V_OLD_CDPAIS,
                                  @V_OLD_CDMUNICIPIO,
                                  @V_OLD_NRTELEOPER,
                                  @V_OLD_DSEMAILOPER,
                                  @V_OLD_SGESTADO,
                                  @V_OLD_NRCEPOPER,
                                  @V_OLD_CDSENEMAILOP,
                                  @V_OLD_CDOPERESPLIBSEN,
                                  @V_OLD_IDSTATUSENHA,

                                  @V_NEW_CDOPERADOR,
                                  @V_NEW_NMOPERADOR,
                                  @V_NEW_NMCOMPLOPER,
                                  @V_NEW_CDCARGO,
                                  @V_NEW_CDFUNC,
                                  @V_NEW_DTNASCIMENTO,
                                  @V_NEW_IDSENHVARDIA,
                                  @V_NEW_NMACESSO,
                                  @V_NEW_IDOPERATIVO,
                                  @V_NEW_DSENDEOPER,
                                  @V_NEW_NMBAIROPER,
                                  @V_NEW_CDPAIS,
                                  @V_NEW_CDMUNICIPIO,
                                  @V_NEW_NRTELEOPER,
                                  @V_NEW_DSEMAILOPER,
                                  @V_NEW_SGESTADO,
                                  @V_NEW_NRCEPOPER,
                                  @V_NEW_CDSENEMAILOP,
                                  @V_NEW_CDOPERESPLIBSEN,
                                  @V_NEW_IDSTATUSENHA;


   WHILE (@@FETCH_STATUS = 0) BEGIN
      IF @V_ID_COMANDO = 'D' BEGIN
         SET @V_TIPO         = '3';
         SET @V_ITPESQ       = @V_OLD_CDOPERADOR;

         IF @V_OLD_CDOPERADOR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Cod=' + @V_OLD_CDOPERADOR;
         END;

         IF @V_OLD_NMOPERADOR IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Nome=' + @V_OLD_NMOPERADOR;
         END;

         IF @V_OLD_NMCOMPLOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CompNome=' + @V_OLD_NMCOMPLOPER;
         END;

         IF @V_OLD_CDCARGO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Cargo=' + @V_OLD_CDCARGO;
         END;

         IF @V_OLD_CDFUNC IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Func=' + @V_OLD_CDFUNC;
         END;

         IF @V_OLD_DTNASCIMENTO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtNasc=' + CONVERT(CHAR, @V_OLD_DTNASCIMENTO, 103)
         END;

         IF @V_OLD_IDSENHVARDIA IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Senha=' + @V_OLD_IDSENHVARDIA;
         END;

         IF @V_OLD_NMACESSO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NomedeAces=' + @V_OLD_NMACESSO;
         END;

         IF @V_OLD_IDOPERATIVO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SitOper=' + @V_OLD_IDOPERATIVO;
         END;

         IF @V_OLD_DSENDEOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' End=' + @V_OLD_DSENDEOPER;
         END;

         IF @V_OLD_NMBAIROPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Bairro=' + @V_OLD_NMBAIROPER;
         END;

         IF @V_OLD_CDPAIS IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Pais=' + @V_OLD_CDPAIS;
         END;

         IF @V_OLD_CDMUNICIPIO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Munic=' + @V_OLD_CDMUNICIPIO;
         END;

         IF @V_OLD_NRTELEOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Tel=' + @V_OLD_NRTELEOPER;
         END;

         IF @V_OLD_DSEMAILOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' E-mail=' + @V_OLD_DSEMAILOPER;
         END;

         IF @V_OLD_CDSENEMAILOP IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Senha=' + @V_OLD_CDSENEMAILOP;
         END;

         IF @V_OLD_SGESTADO IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC+ ' Estado='+@V_OLD_SGESTADO;
         END;

         IF @V_OLD_NRCEPOPER IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC+ ' Cep='+@V_OLD_NRCEPOPER;
         END;

      END
      ELSE
      IF @V_ID_COMANDO= 'U' /*UPDATING*/ BEGIN
         IF (ISNULL(@V_OLD_CDOPERADOR,'!')   <> ISNULL(@V_NEW_CDOPERADOR,'!'))   OR
            (ISNULL(@V_OLD_NMOPERADOR,'!')   <> ISNULL(@V_NEW_NMOPERADOR,'!'))   OR
            (ISNULL(@V_OLD_NMCOMPLOPER,'!')  <> ISNULL(@V_NEW_NMCOMPLOPER,'!'))  OR
            (ISNULL(@V_OLD_CDCARGO,'!')      <> ISNULL(@V_NEW_CDCARGO,'!'))      OR
            (ISNULL(@V_OLD_CDFUNC,'!')       <> ISNULL(@V_NEW_CDFUNC,'!'))       OR
            (ISNULL(@V_OLD_DTNASCIMENTO,GETDATE()) <> ISNULL(@V_NEW_DTNASCIMENTO,GETDATE())) OR
            (ISNULL(@V_OLD_IDSENHVARDIA,'!') <> ISNULL(@V_NEW_IDSENHVARDIA,'!')) OR
            (ISNULL(@V_OLD_NMACESSO,'!')     <> ISNULL(@V_NEW_NMACESSO,'!'))     OR
            (ISNULL(@V_OLD_IDOPERATIVO,'!')  <> ISNULL(@V_NEW_IDOPERATIVO,'!'))  OR
            (ISNULL(@V_OLD_DSENDEOPER,'!')   <> ISNULL(@V_NEW_DSENDEOPER,'!'))   OR
            (ISNULL(@V_OLD_NMBAIROPER,'!')   <> ISNULL(@V_NEW_NMBAIROPER,'!'))   OR
            (ISNULL(@V_OLD_CDPAIS,'!')       <> ISNULL(@V_NEW_CDPAIS,'!'))       OR
            (ISNULL(@V_OLD_IDSTATUSENHA,'!') <> ISNULL(@V_NEW_IDSTATUSENHA,'!')) OR
            (ISNULL(@V_OLD_CDMUNICIPIO,'!')  <> ISNULL(@V_NEW_CDMUNICIPIO,'!'))  OR
            (ISNULL(@V_OLD_NRTELEOPER,'!')   <> ISNULL(@V_NEW_NRTELEOPER,'!'))   OR
            (ISNULL(@V_OLD_DSEMAILOPER,'!')  <> ISNULL(@V_NEW_DSEMAILOPER,'!'))  OR
            (ISNULL(@V_OLD_SGESTADO,'!')     <> ISNULL(@V_NEW_SGESTADO,'!'))     OR
            (ISNULL(@V_OLD_NRCEPOPER,'!')    <> ISNULL(@V_NEW_NRCEPOPER,'!'))    OR
            (ISNULL(@V_OLD_CDSENEMAILOP,'!') <> ISNULL(@V_NEW_CDSENEMAILOP,'!')) BEGIN
            SET @V_TIPO         = '2';
            SET @V_ITPESQ       = @V_OLD_CDOPERADOR;
        END;
      END
      ELSE BEGIN
         SET @V_TIPO         = '1';
         SET @V_ITPESQ       = @V_NEW_CDOPERADOR;
      END
      IF @V_OLD_SGESTADO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC+ ' Estado='+@V_NEW_SGESTADO;
      END;

      IF @V_NEW_CDOPERADOR IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + 'Cod=' + @V_NEW_CDOPERADOR;
      END;

      IF @V_NEW_NMOPERADOR IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Nome=' + @V_NEW_NMOPERADOR;
      END;

      IF @V_NEW_NMCOMPLOPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' CompNome=' + @V_NEW_NMCOMPLOPER;
      END;

      IF @V_NEW_CDCARGO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Cargo=' + @V_NEW_CDCARGO;
      END;

      IF @V_NEW_CDFUNC IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Func=' + @V_NEW_CDFUNC;
      END;

      IF @V_NEW_DTNASCIMENTO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' DtNasc=' + CONVERT(VARCHAR, @V_NEW_DTNASCIMENTO, 103)
      END;

      IF @V_NEW_IDSENHVARDIA IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Senha=' + @V_NEW_IDSENHVARDIA;
      END;

      IF @V_NEW_NMACESSO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' NomedeAces=' + @V_NEW_NMACESSO;
      END;

      IF @V_NEW_IDOPERATIVO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' SitOper=' + @V_NEW_IDOPERATIVO;
      END;

      IF @V_NEW_DSENDEOPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' End=' + @V_NEW_DSENDEOPER;
      END;

      IF @V_NEW_NMBAIROPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Bairro=' + @V_NEW_NMBAIROPER;
      END;

      IF @V_NEW_CDPAIS IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Pais=' + @V_NEW_CDPAIS;
      END;

      IF @V_NEW_CDMUNICIPIO IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Munic=' + @V_NEW_CDMUNICIPIO;
      END;

      IF @V_NEW_NRTELEOPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Tel=' + @V_NEW_NRTELEOPER;
      END;

      IF @V_NEW_DSEMAILOPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' E-mail=' + @V_NEW_DSEMAILOPER;
      END;

      IF @V_NEW_CDSENEMAILOP IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC + ' Senha=' + @V_NEW_CDSENEMAILOP;
      END;

      IF @V_OLD_NRCEPOPER IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC+ ' Cep='+  @V_NEW_NRCEPOPER;
      END;

      IF @V_OLD_IDSTATUSENHA IS NOT NULL BEGIN
         SET @V_DESC = @V_DESC+ ' Op.DesbloqSenha='+  @V_NEW_CDOPERESPLIBSEN;
      END;

      IF @V_TIPO <> '0' BEGIN
         IF NOT @V_DESC IS NULL BEGIN
            SET @V_USUARIO = '  ';
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER =  GETDATE();
	       SELECT @V_DSSERVERRDM = DSSERVERRDM, @V_DSREMOTEADDR = DSREMOTEADDR, @V_DSREMOTEHOST = DSREMOTEHOST,
		      @V_DSSERVMETHOD = DSSERVMETHOD, @V_DSREMOTEOPER = DSREMOTEOPER
	       FROM SQLWEBTUNNING;
               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER, IDTIPOOPER, CDPESQITEM, DSOPERACAO,
                   DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
               VALUES
                  ('OPERADOR',  @V_DTOPER, @V_USUARIO, @V_TIPO,  @V_ITPESQ, SUBSTRING(@V_DESC, 1, 400),
                   @V_DSSERVERRDM, @V_DSREMOTEADDR,  @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER);
            END;
         END;
      END;
      FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
                                    @V_OLD_CDOPERADOR,
                                    @V_OLD_NMOPERADOR,
                                    @V_OLD_NMCOMPLOPER,
                                    @V_OLD_CDCARGO,
                                    @V_OLD_CDFUNC,
                                    @V_OLD_DTNASCIMENTO,
                                    @V_OLD_IDSENHVARDIA,
                                    @V_OLD_NMACESSO,
                                    @V_OLD_IDOPERATIVO,
                                    @V_OLD_DSENDEOPER,
                                    @V_OLD_NMBAIROPER,
                                    @V_OLD_CDPAIS,
                                    @V_OLD_CDMUNICIPIO,
                                    @V_OLD_NRTELEOPER,
                                    @V_OLD_DSEMAILOPER,
                                    @V_OLD_SGESTADO,
                                    @V_OLD_NRCEPOPER,
                                    @V_OLD_CDSENEMAILOP,
                                    @V_OLD_CDOPERESPLIBSEN,
                                    @V_OLD_IDSTATUSENHA,

                                    @V_NEW_CDOPERADOR,
                                    @V_NEW_NMOPERADOR,
                                    @V_NEW_NMCOMPLOPER,
                                    @V_NEW_CDCARGO,
                                    @V_NEW_CDFUNC,
                                    @V_NEW_DTNASCIMENTO,
                                    @V_NEW_IDSENHVARDIA,
                                    @V_NEW_NMACESSO,
                                    @V_NEW_IDOPERATIVO,
                                    @V_NEW_DSENDEOPER,
                                    @V_NEW_NMBAIROPER,
                                    @V_NEW_CDPAIS,
                                    @V_NEW_CDMUNICIPIO,
                                    @V_NEW_NRTELEOPER,
                                    @V_NEW_DSEMAILOPER,
                                    @V_NEW_SGESTADO,
                                    @V_NEW_NRCEPOPER,
                                    @V_NEW_CDSENEMAILOP,
                                    @V_NEW_CDOPERESPLIBSEN,
                                    @V_NEW_IDSTATUSENHA;

   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LOG_GER_OPERADOR','5.01.007';
GO

